Bug 732758 - Review Request: perl-SOAP-Transport-TCP - TCP Transport Support for SOAP::Lite
Summary: Review Request: perl-SOAP-Transport-TCP - TCP Transport Support for SOAP::Lite
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-23 14:05 UTC by Petr Šabata
Modified: 2011-08-24 14:46 UTC (History)
3 users (show)

Fixed In Version: perl-SOAP-Transport-TCP-0.715-2.fcf17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-24 14:46:11 UTC
ppisar: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Petr Šabata 2011-08-23 14:05:24 UTC
Spec URL: http://psabata.fedorapeople.org/pkgs/perl-SOAP-Transport-TCP/perl-SOAP-Transport-TCP.spec
SRPM URL: http://psabata.fedorapeople.org/pkgs/perl-SOAP-Transport-TCP/perl-SOAP-Transport-TCP-0.715-1.fc15.src.rpm
Description:
The classes provided by this module implement direct TCP/IP communications
methods for both clients and servers.

Comment 1 Petr Šabata 2011-08-23 14:07:21 UTC
This package is needed by the new SOAP::Lite 0.714.  They require each other, hence this package uses the %perl_bootstrap macro.

Comment 2 Petr Pisar 2011-08-24 12:00:36 UTC
Source file is original. Ok.

TODO: Change summary to wording used in POD: `TCP Transport Support for SOAP::Lite'. Current one just repeat Perl module name which is noting new from package name or list of files.

Description verified from lib/SOAP/Transport/TCP.pm. Ok.

FIX: Change license to `GPL+ or Artistic' as lib/SOAP/Transport/TCP.pm says:
> This library is free software; you can redistribute it and/or modify it
> under the same terms as Perl itself.

No XS files, noarch architecture is Ok.

Superfluous Net::FTP mentioned in META.yml is not needed (report it to upstream). Ok.

Test::Pod, Test::Kwalitee, and Test::Pod::Coverage are non-default author's tests. They are not needed. Ok.

FIX: BuildRequire (conditionally) perl(URI::_server) (lib/SOAP/Transport/TCP.pm:28) to proceed tests.

Tests temporarily disabled for bootstrap. Ok.

$ rpmlint perl-SOAP-Transport-TCP.spec ../SRPMS/perl-SOAP-Transport-TCP-0.715-1.fc15.src.rpm ../RPMS/noarch/perl-SOAP-Transport-TCP-0.715-1.fc15.noarch.rpm 
perl-SOAP-Transport-TCP.src: W: invalid-license Artistic
perl-SOAP-Transport-TCP.noarch: W: invalid-license Artistic
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

rpmlint (except the license) Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-SOAP-Transport-TCP-0.715-1.fc15.noarch.rpm 
drwxr-xr-x    2 root    root                        0 srp 24 13:38 /usr/share/doc/perl-SOAP-Transport-TCP-0.715
-rw-r--r--    1 root    root                       51 srp 18 21:56 /usr/share/doc/perl-SOAP-Transport-TCP-0.715/Changes
-rw-r--r--    1 root    root                      291 srp 18 21:56 /usr/share/doc/perl-SOAP-Transport-TCP-0.715/README
-rw-r--r--    1 root    root                     3255 srp 24 13:38 /usr/share/man/man3/SOAP::Transport::TCP.3pm.gz
drwxr-xr-x    2 root    root                        0 srp 24 13:38 /usr/share/perl5/vendor_perl/SOAP
drwxr-xr-x    2 root    root                        0 srp 24 13:38 /usr/share/perl5/vendor_perl/SOAP/Transport
-rw-r--r--    1 root    root                     9657 srp 24 13:38 /usr/share/perl5/vendor_perl/SOAP/Transport/TCP.pm
File layout and permissions are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-SOAP-Transport-TCP-0.715-1.fc15.noarch.rpm |sort |uniq -c
      1 perl(Carp)  
      1 perl(IO::Select)  
      1 perl(IO::SessionData)  
      1 perl(IO::SessionSet)  
      1 perl(IO::Socket)  
      1 perl(:MODULE_COMPAT_5.12.4)  
      1 perl(SOAP::Lite)  
      1 perl(SOAP::Lite) >= 0.714
      1 perl(strict)  
      1 perl(URI)  
      1 perl(URI::_server)  
      1 perl(vars)  
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
TODO: Remove underspecified perl(SOAP::Lite) from Requires.

$ rpm -q --provides -p ../RPMS/noarch/perl-SOAP-Transport-TCP-0.715-1.fc15.noarch.rpm |sort |uniq -c
      1 perl(SOAP::Transport::TCP::Client) = 0.715
      1 perl(SOAP::Transport::TCP::Server) = 0.715
      1 perl(SOAP::Transport::TCP) = 0.715
      1 perl-SOAP-Transport-TCP = 0.715-1.fc15
      1 perl(URI::tcp) = 0.715
Binary provides Ok.

Binary dependencies resolvable. Ok.

Package builds in F17 (http://koji.fedoraproject.org/koji/taskinfo?taskID=3298031). ???

Otherwise package is in line Fedora and Perl packaging guidelines.


Please correct all `FIX' prefixed issues, consider fixing `TODO' prefixed items and provide new spec file.

Resolution: Package NOT approved.

Comment 3 Petr Šabata 2011-08-24 12:52:13 UTC
(In reply to comment #2)
> Source file is original. Ok.
> 
> TODO: Change summary to wording used in POD: `TCP Transport Support for
> SOAP::Lite'. Current one just repeat Perl module name which is noting new from
> package name or list of files.

Done.

> 
> Description verified from lib/SOAP/Transport/TCP.pm. Ok.
> 
> FIX: Change license to `GPL+ or Artistic' as lib/SOAP/Transport/TCP.pm says:
> > This library is free software; you can redistribute it and/or modify it
> > under the same terms as Perl itself.

True.  Fixed.

> 
> No XS files, noarch architecture is Ok.
> 
> Superfluous Net::FTP mentioned in META.yml is not needed (report it to
> upstream). Ok.
> 
> Test::Pod, Test::Kwalitee, and Test::Pod::Coverage are non-default author's
> tests. They are not needed. Ok.
> 
> FIX: BuildRequire (conditionally) perl(URI::_server)
> (lib/SOAP/Transport/TCP.pm:28) to proceed tests.

Fixed.

> 
> Tests temporarily disabled for bootstrap. Ok.
> 
> $ rpmlint perl-SOAP-Transport-TCP.spec
> ../SRPMS/perl-SOAP-Transport-TCP-0.715-1.fc15.src.rpm
> ../RPMS/noarch/perl-SOAP-Transport-TCP-0.715-1.fc15.noarch.rpm 
> perl-SOAP-Transport-TCP.src: W: invalid-license Artistic
> perl-SOAP-Transport-TCP.noarch: W: invalid-license Artistic
> 2 packages and 1 specfiles checked; 0 errors, 2 warnings.
> 
> rpmlint (except the license) Ok.
> 
> $ rpm -q -lv -p ../RPMS/noarch/perl-SOAP-Transport-TCP-0.715-1.fc15.noarch.rpm 
> drwxr-xr-x    2 root    root                        0 srp 24 13:38
> /usr/share/doc/perl-SOAP-Transport-TCP-0.715
> -rw-r--r--    1 root    root                       51 srp 18 21:56
> /usr/share/doc/perl-SOAP-Transport-TCP-0.715/Changes
> -rw-r--r--    1 root    root                      291 srp 18 21:56
> /usr/share/doc/perl-SOAP-Transport-TCP-0.715/README
> -rw-r--r--    1 root    root                     3255 srp 24 13:38
> /usr/share/man/man3/SOAP::Transport::TCP.3pm.gz
> drwxr-xr-x    2 root    root                        0 srp 24 13:38
> /usr/share/perl5/vendor_perl/SOAP
> drwxr-xr-x    2 root    root                        0 srp 24 13:38
> /usr/share/perl5/vendor_perl/SOAP/Transport
> -rw-r--r--    1 root    root                     9657 srp 24 13:38
> /usr/share/perl5/vendor_perl/SOAP/Transport/TCP.pm
> File layout and permissions are Ok.
> 
> $ rpm -q --requires -p
> ../RPMS/noarch/perl-SOAP-Transport-TCP-0.715-1.fc15.noarch.rpm |sort |uniq -c
>       1 perl(Carp)  
>       1 perl(IO::Select)  
>       1 perl(IO::SessionData)  
>       1 perl(IO::SessionSet)  
>       1 perl(IO::Socket)  
>       1 perl(:MODULE_COMPAT_5.12.4)  
>       1 perl(SOAP::Lite)  
>       1 perl(SOAP::Lite) >= 0.714
>       1 perl(strict)  
>       1 perl(URI)  
>       1 perl(URI::_server)  
>       1 perl(vars)  
>       1 rpmlib(CompressedFileNames) <= 3.0.4-1
>       1 rpmlib(FileDigests) <= 4.6.0-1
>       1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
>       1 rpmlib(PayloadIsXz) <= 5.2-1
> TODO: Remove underspecified perl(SOAP::Lite) from Requires.

Fixed (rpm4.9 style filter only).

> 
> $ rpm -q --provides -p
> ../RPMS/noarch/perl-SOAP-Transport-TCP-0.715-1.fc15.noarch.rpm |sort |uniq -c
>       1 perl(SOAP::Transport::TCP::Client) = 0.715
>       1 perl(SOAP::Transport::TCP::Server) = 0.715
>       1 perl(SOAP::Transport::TCP) = 0.715
>       1 perl-SOAP-Transport-TCP = 0.715-1.fc15
>       1 perl(URI::tcp) = 0.715
> Binary provides Ok.
> 
> Binary dependencies resolvable. Ok.
> 
> Package builds in F17
> (http://koji.fedoraproject.org/koji/taskinfo?taskID=3298031). ???
> 
> Otherwise package is in line Fedora and Perl packaging guidelines.
> 
> 
> Please correct all `FIX' prefixed issues, consider fixing `TODO' prefixed items
> and provide new spec file.
> 
> Resolution: Package NOT approved.

How about now? :)

SPEC: http://psabata.fedorapeople.org/pkgs/perl-SOAP-Transport-TCP/perl-SOAP-Transport-TCP.spec
SRPM: http://psabata.fedorapeople.org/pkgs/perl-SOAP-Transport-TCP/perl-SOAP-Transport-TCP-0.715-2.fc15.src.rpm

Comment 4 Petr Pisar 2011-08-24 13:37:09 UTC
Spec file changes:

--- perl-SOAP-Transport-TCP.spec	2011-08-23 16:05:08.000000000 +0200
+++ perl-SOAP-Transport-TCP.spec.1	2011-08-24 14:48:50.000000000 +0200
@@ -3,9 +3,9 @@
 
 Name:           perl-SOAP-Transport-TCP
 Version:        0.715
-Release:        1%{?dist}
-Summary:        SOAP::Transport::TCP Perl module
-License:        Artistic
+Release:        2%{?dist}
+Summary:        TCP Transport Support for SOAP::Lite
+License:        GPL+ or Artistic
 Group:          Development/Libraries
 URL:            http://search.cpan.org/dist/SOAP-Transport-TCP/
 Source0:        http://www.cpan.org/authors/id/M/MK/MKUTTER/SOAP-Transport-TCP-%{version}.tar.gz
@@ -21,11 +21,14 @@
 BuildRequires:  perl(IO::Socket)
 BuildRequires:  perl(SOAP::Lite) >= 0.714
 BuildRequires:  perl(URI)
+BuildRequires:  perl(URI::_server)
 BuildRequires:  perl(Test::More)
 %endif
 Requires:       perl(SOAP::Lite) >= 0.714
 Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
 
+%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(SOAP::Lite\\)$
+
 %description
 The classes provided by this module implement direct TCP/IP communications
 methods for both clients and servers.
@@ -54,5 +57,8 @@
 %{_mandir}/man3/*
 
 %changelog
+* Wed Aug 24 2011 Petr Sabata <contyk@redhat.com> - 0.715-2
+- Correcting various defects for the review
+
 * Tue Aug 23 2011 Petr Sabata <contyk@redhat.com> 0.715-1
 - Initial RPM


> TODO: Change summary to wording used in POD: `TCP Transport Support for
> SOAP::Lite'. Current one just repeat Perl module name which is noting new from
> package name or list of files.
-Release:        1%{?dist}
-Summary:        SOAP::Transport::TCP Perl module
-License:        Artistic
+Release:        2%{?dist}
+Summary:        TCP Transport Support for SOAP::Lite
+License:        GPL+ or Artistic
Ok.

> FIX: Change license to `GPL+ or Artistic' as lib/SOAP/Transport/TCP.pm says:
> > This library is free software; you can redistribute it and/or modify it
> > under the same terms as Perl itself.
-Release:        1%{?dist}
-Summary:        SOAP::Transport::TCP Perl module
-License:        Artistic
+Release:        2%{?dist}
+Summary:        TCP Transport Support for SOAP::Lite
+License:        GPL+ or Artistic
Ok.

> FIX: BuildRequire (conditionally) perl(URI::_server)
> (lib/SOAP/Transport/TCP.pm:28) to proceed tests.
+BuildRequires:  perl(URI::_server)
Ok.

> TODO: Remove underspecified perl(SOAP::Lite) from Requires.
+%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(SOAP::Lite\\)$
+
$ rpm -q --requires -p ../RPMS/noarch/perl-SOAP-Transport-TCP-0.715-2.fc17.noarch.rpm |sort |uniq -c 
      1 perl(Carp)  
      1 perl(IO::Select)  
      1 perl(IO::SessionData)  
      1 perl(IO::SessionSet)  
      1 perl(IO::Socket)  
      1 perl(:MODULE_COMPAT_5.14.1)  
      1 perl(SOAP::Lite) >= 0.714
      1 perl(strict)  
      1 perl(URI)  
      1 perl(URI::_server)  
      1 perl(vars)  
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Ok.

$ rpmlint perl-SOAP-Transport-TCP.spec ../SRPMS/perl-SOAP-Transport-TCP-0.715-2.fc15.src.rpm ../RPMS/noarch/perl-SOAP-Transport-TCP-0.715-2.fc15.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint Ok.

Package builds in F17 (http://koji.fedoraproject.org/koji/taskinfo?taskID=3298182). ???

Package is in line with Fedora and Perl packaging guidelines.


Resolution: Package APPROVED.

Comment 5 Petr Šabata 2011-08-24 13:48:57 UTC
New Package SCM Request
=======================
Package Name: perl-SOAP-Transport-TCP
Short Description: TCP Transport Support for SOAP::Lite
Owners: psabata mmaslano ppisar
Branches: 
InitialCC: perl-sig

Comment 6 Gwyn Ciesla 2011-08-24 14:33:27 UTC
Git done (by process-git-requests).

Comment 7 Petr Šabata 2011-08-24 14:44:32 UTC
Petr, Jon, thank you for your assistance.


Note You need to log in before you can comment on or make changes to this bug.